<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Client extends Eloquent {

	protected $table = 'clients';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('name', 'phone', 'email', 'password', 'date_of_birth', 'last_donation_date', 'rest_code', 'api_token', 'blood_type_id', 'city_id');

	public function notifications()
	{
		return $this->belongsToMany('App\Models\Notification');
	}

	public function governorates()
	{
		return $this->belongsToMany('App\Models\Governorate');
	}

	public function bloodTypes()
	{
		return $this->belongsToMany('App\Models\BloodType');
	}

	public function donationRequests()
	{
		return $this->hasMany('App\Models\Donationrequest');
	}

	public function city()
	{
		return $this->belongsTo('App\Models\City');
	}

	public function posts()
	{
		return $this->belongsToMany('App\Models\Post');
	}

	public function bloodType()
	{
		return $this->belongsTo('App\Models\BloodType');
	}

}