<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Governorate extends Eloquent {

	protected $table = 'governorates';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('name');

	public function cities()
	{
		return $this->hasMany('App\Models\City');
	}

	public function clients()
	{
		return $this->belongsToMany('App\Models\Client');
	}

}